Loading...
Searching...
No Matches
BALL::ParsedFunction< arg > Class Template Reference
Foundation Classes » Mathematics » Function classes

`#include <BALL/MATHS/parsedFunction.h>`

Inheritance diagram for BALL::ParsedFunction< arg >:

## Public Member Functions

BALL_EXPORT double | operator() (float argument)
BALL_EXPORT double | operator() (double argument)
Constructors and Destructors
| ParsedFunction ()
| Default constructor.
| ParsedFunction (const String &expression)
| Detailed constructor.
| ParsedFunction (const ParsedFunction &func)
| Copy constructor.
| ~ParsedFunction ()
| Destructor.
Accessors
double | operator() (arg p)

## Parsing

StringHashMap< double * > | constants_
StringHashMap< double(*)(double)> | functions_
String | expression_
void | initTable ()

## Detailed Description

template<typename arg>
class BALL::ParsedFunction< arg >

ParsedFunction. This function type contains a double - valued function string like . When the operator () is called, is replaced with the argument of the operator call and the function string is parsed and evaluated.

Definition at line 37 of file parsedFunction.h.

## Member Function Documentation

## operator()() [1/2]

BALL_EXPORT double BALL::ParsedFunction< double >::operator() | ( | double | argument | ) |

## operator()() [2/2]

BALL_EXPORT double BALL::ParsedFunction< float >::operator() | ( | float | argument | ) |

## Member Data Documentation

## constants_

template<typename arg>

StringHashMap<double*> BALL::ParsedFunction< arg >::constants_

The table of constants

Definition at line 78 of file parsedFunction.h.

## expression_

template<typename arg>

String BALL::ParsedFunction< arg >::expression_

protected

Definition at line 85 of file parsedFunction.h.

## functions_

template<typename arg>

StringHashMap<double (*)(double)> BALL::ParsedFunction< arg >::functions_

The table of functions

Definition at line 82 of file parsedFunction.h.